Package org.eclipse.emf.cdo.common.commit

# Interface CDOChangeSet

All Superinterfaces:
  `CDOBranchPointRange`, `CDOChangeKindProvider`, `CDOChangeSetData`

public interface CDOChangeSet extends CDOBranchPointRange, CDOChangeSetData
The `change set data` between two `branch points` with a common ancestor.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOBranchPoint`
`getAncestorPoint()`
`CDORevisionProvider`
`getStartRevisionProvider()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPointRange

`getEndPoint, getStartPoint`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

`getChangeKind`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

`copy, forEachRevision, forEachRevisionDelta, getAffectedIDs, getChangedObject, getChangedObjects, getChangeKinds, getDetachedObject, getDetachedObjects, getNewObject, getNewObjects, isEmpty, merge`

## Method Details

### getAncestorPoint

CDOBranchPoint getAncestorPoint()

### getStartRevisionProvider

CDORevisionProvider getStartRevisionProvider()

Since:
  4.28